For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
        • Themes
        • Widgets
              • GETList Placements
              • POSTCreate Placement
              • GETGet Placement
              • PUTUpdate Placement
              • DELDelete Placement
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentWidgetsPlacement

List Placements

GET
https://api.bigcommerce.com/stores/:store_hash/v3/content/placements
GET
/stores/:store_hash/v3/content/placements
$curl https://api.bigcommerce.com/stores/store_hash/v3/content/placements \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
1{
2 "data": [
3 {
4 "channel_id": 1,
5 "date_created": "2020-12-21T20:43:16.796Z",
6 "date_modified": "2020-12-21T20:43:16.796Z",
7 "entity_id": "21",
8 "region": "category_header_banner",
9 "sort_order": 1,
10 "status": "active",
11 "template_file": "pages/category",
12 "uuid": "89eac5b3-91d7-48e5-92e7-ff53ecf07f8c",
13 "widget": {
14 "channel_id": 1,
15 "date_created": "2020-12-21T19:54:16.406Z",
16 "date_modified": "2020-12-21T20:40:45.173Z",
17 "description": "",
18 "name": "Header Images",
19 "uuid": "1f05183e-dfa4-4583-af28-250b47e177b2",
20 "version_uuid": "c863f77b-e5b4-4462-a9ed-2aff9005140e",
21 "widget_configuration": {
22 "_": {
23 "id": "1f05183e-dfa4-4583-af28-250b47e177b2"
24 },
25 "images": [
26 {
27 "image_source": "https://cdn11.bigcommerce.com/s-n0i50vy/images/stencil/1280x1280/products/109/361/kinfolkessentialissue_1024x1024__22507.1456436715.jpg?c=2&imbypass=on"
28 },
29 {
30 "image_source": "https://cdn11.bigcommerce.com/s-n0i50vy/images/stencil/500x659/products/85/282/livingwithplants_grande__26452.1456436666.jpg?c=2&imbypass=on"
31 },
32 {
33 "image_source": "https://cdn11.bigcommerce.com/s-n0i50vy/images/stencil/1280x1280/products/109/361/kinfolkessentialissue_1024x1024__22507.1456436715.jpg?c=2&imbypass=on"
34 }
35 ]
36 },
37 "widget_template": {
38 "current_version_uuid": "c863f77b-e5b4-4462-a9ed-2aff9005140e",
39 "date_created": "2020-12-21T19:49:29.110Z",
40 "date_modified": "2020-12-21T19:49:29.110Z",
41 "icon_name": "default",
42 "kind": "custom",
43 "name": "Header Images",
44 "schema": [],
45 "storefront_api_query": "",
46 "template": "{{#each images}}{{/each}}",
47 "uuid": "f8459145-da8f-4d98-93e4-83aa47da61c6",
48 "channel_id": 1,
49 "client_rerender": false,
50 "template_engine": "handlebars_v3"
51 },
52 "storefront_api_query_params": {}
53 }
54 }
55 ],
56 "meta": {
57 "pagination": {
58 "total": 1,
59 "count": 1,
60 "per_page": 50,
61 "current_page": 1,
62 "total_pages": 1
63 }
64 }
65}

Returns a list of Placements.

Was this page helpful?
Previous

Widgets

Next

Create Placement

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify | `store_v2_content` | | Content | read-only | `store_v2_content_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products.

widget_template_kindstringOptional
The kind of widget template.
template_filestringOptional

The template file, for example: pages/home.

widget_uuidstringOptionalformat: "uuid"
The identifier for a specific widget.
widget_template_uuidstringOptionalformat: "uuid"
The identifier for a specific widget template.
channel_id:inlist of integersOptional

A comma-separated list of channel ids to filter the results by.

site_id:inlist of integersOptional

A comma-separated list of site IDs to filter the results by.

Response

datalist of objects
metaobject
Data about the response, including pagination and collection totals.

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.